Query connection details

Query the non-sensitive configuration of an agent connection.

HTTP
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/connections/{connection_id}

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Set the operation-specific values used in the request: $CONNECTION_ID.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/connections/$CONNECTION_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

Returns 200 and connection details on success.

JSON
{"code":0,"data":{"id":"connection_01","name":"MCP 服务"}}

The response fields are as follows.

Field

Type

Description

data.id

string

Connection ID.

data.name

string

Connection name.

Error response

JSON
{"code":5,"message":"connection not found"}
Last updated on